###########################################################
#
# General make-include
# Johan Bezem, JB Enterprises, (c) 2008.
#
# Prerequisites:
#  - GNUmake   3.79.1 or higher
#  - Bash      2.05a or higher
#    or
#  - CMD.EXE   Windows XP or higher
#
# Version 005.000
# Saved under "005Differentiate.zip"

YT_OBJDIR := $(YT_PBASE)/$(YT_OBJDIRNAME)/$(YT_DIFFDIR)

# Disable all built-in rules; we don't need them on this run
.SUFFIXES:

# The object directory is the only target here; since it's phony,
# when the commands have been executed, it is considered built.
# This calls make recursively, but now from the objects directory.
.PHONY: $(YT_OBJDIR)
$(YT_OBJDIR):
	+@$(call makedirectory,$@)
	+@echo Make : $@
	+@$(MAKE) -C $@ -f $(CURDIR)/Makefile YT_SRCVPATH=$(CURDIR) YT_OBJBASE=$(YT_OBJDIR) --no-print-directory $(MAKECMDGOALS)

# Since we'll provide just one rule, but a 'match-anything' rule,
# when make tries to remake the makefiles involved, the rule will
# also apply, and make would recursively call itself from the
# same directory... Endless recursion results in chaos.
Makefile : ; @:
%.mk :: ;

# No matter what goals are given, this dependency will make sure,
# make is recursively called.
% :: $(YT_OBJDIR) ; @:
